[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# IProviderSupport.PSIsSQLBased

Is the dataset SQL based

## Declaration

Source position: db.pas line 1429

`function IProviderSupport.PSIsSQLBased: Boolean;`

## Function result

True if the dataset is based on an SQL statement

## Description

PSIsSQLBased returns True if the dataset is SQL based or not. Note that this is different from PSIsSQLSupported which indicates whether SQL statements can be executed using PSExecuteCommand

## See also

PSIsSQLSupported
PSExecuteCommand